Documentation>C API
Macros | Functions
host.c File Reference

Host - Definition. More...

`#include "host.h"`
`#include "generic.h"`
`#include <stdio.h>`
`#include <intrin.h>`

## Macros

#define | HAS_CPUID

## Functions

char * | vl_static_configuration_to_string_copy ()
| Human readable static library configuration.

## Detailed Description

Author
  Andrea Vedaldi

See also
  Portability features

## Macro Definition Documentation

## ◆ HAS_CPUID

#define HAS_CPUID

## Function Documentation

## ◆ vl_static_configuration_to_string_copy()

char * vl_static_configuration_to_string_copy | ( |  | ) |

Returns
  a new string with the static configuration.

The string includes information about the compiler, the host, and other static configuration parameters. The string must be released by vl_free.